summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Andreo F. Rissardo <andreotec@gmail.com>2021-04-10 09:48:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2021-04-10 09:48:16 +0700
commit3312ee1cfc944eae212561bf00a8fb9570dab91e (patch)
tree81e3dbb26ac5555effa862a9794486638d188c13 /multimedia
parent5f667066a2d387637f59e9f243f0c54dddac6f7f (diff)
downloadslackbuilds-3312ee1cfc944eae212561bf00a8fb9570dab91e.tar.gz
slackbuilds-3312ee1cfc944eae212561bf00a8fb9570dab91e.tar.xz
multimedia/droidcam: Added (Chat Program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/droidcam/Droidcam.desktop10
-rw-r--r--multimedia/droidcam/README17
-rw-r--r--multimedia/droidcam/README.SLACKWARE41
-rw-r--r--multimedia/droidcam/doinst.sh15
-rw-r--r--multimedia/droidcam/droidcam.SlackBuild105
-rw-r--r--multimedia/droidcam/droidcam.info10
-rw-r--r--multimedia/droidcam/rc.droidcam.new34
-rw-r--r--multimedia/droidcam/slack-desc19
8 files changed, 251 insertions, 0 deletions
diff --git a/multimedia/droidcam/Droidcam.desktop b/multimedia/droidcam/Droidcam.desktop
new file mode 100644
index 0000000000..b8c1f92f9c
--- /dev/null
+++ b/multimedia/droidcam/Droidcam.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=DroidCam
+Comment=Use your phone as a webcam
+TryExec=/usr/bin/droidcam
+Exec=/usr/bin/droidcam
+Icon=icon2.png
+Terminal=false
+Type=Application
+Categories=Video;AudioVideo;
diff --git a/multimedia/droidcam/README b/multimedia/droidcam/README
new file mode 100644
index 0000000000..1c5059f484
--- /dev/null
+++ b/multimedia/droidcam/README
@@ -0,0 +1,17 @@
+DroidCam
+
+DroidCam turns your phone/tablet into a webcam for your PC.
+Use it with chat programs like Zoom, MS Teams, and Skype.
+
+Main Features:
+– Chat using “DroidCam Webcam” on your computer, including Sound and Picture.
+– Connect over WiFi or USB cable.
+– Unlimited free usage with standard definition.
+– Keep using your phone while DroidCam is in background (Android).
+– Simple, safe, efficient, and trusted by millions of people worldwide.
+
+The GNU/Linux client is a combination an executable app that connects to
+the phone, and Video4Linux and ALSA loopback drivers.
+
+It’s assumed you are somewhat familiar with the system and how to use the
+Terminal. Please keep in mind other posts on the site are Windows oriented.
diff --git a/multimedia/droidcam/README.SLACKWARE b/multimedia/droidcam/README.SLACKWARE
new file mode 100644
index 0000000000..c4c7f8ca08
--- /dev/null
+++ b/multimedia/droidcam/README.SLACKWARE
@@ -0,0 +1,41 @@
+
+Droidcam Slackware
+
+After installing the package, a file to load the video audio modules will be
+created in "/etc/rc.d" called "rc.droidcam",
+
+If the module responsible for functional the camera is not working the
+file is already with execution permission, only need run.
+
+chmod +x /etc/rc.d/rc.droidcam
+/etc/rc.d/rc.droidcam start
+
+Probably the camera and microphone modules of the cell phone will not be
+loaded at startup, being necessary to add the
+following lines in the file "rc.local".
+
+if [-x /etc/rc.d/rc.droidcam]; then
+ /etc/rc.d/rc.droidcam start &> / dev / null
+fi
+
+If you prefer to add in rc.shutdown.
+
+if [-x /etc/rc.d/rc.droidcam]; then
+ /etc/rc.d/rc.droidcam stop &> / dev / null
+fi
+
+Whenever you upgrade the kernel you need to reinstall the package so that the
+module is recompiled on the new kernel.
+
+
+When you need to uninstall the package The camera video driver will still be
+installed and you need to remove manually if you can.
+
+Login as root.
+
+rmmod -f v4l2loopback_dc
+rm -f /lib/modules/`uname -r`/kernel/drivers/media/video/v4l2loopback-dc.ko
+
+
+For more informations.
+https://www.dev47apps.com/droidcam/linux/
diff --git a/multimedia/droidcam/doinst.sh b/multimedia/droidcam/doinst.sh
new file mode 100644
index 0000000000..02d9e036da
--- /dev/null
+++ b/multimedia/droidcam/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -d /opt/droidcam-1.7.2 ]; then
+ cd /opt/droidcam-1.7.2 && ./install-video >/dev/null 2>&1
+fi
+
+if [ -d /opt/droidcam-1.7.2 ]; then
+ cd /opt/droidcam-1.7.2 && ./install-sound >/dev/null 2>&1
+fi
diff --git a/multimedia/droidcam/droidcam.SlackBuild b/multimedia/droidcam/droidcam.SlackBuild
new file mode 100644
index 0000000000..127c41fd60
--- /dev/null
+++ b/multimedia/droidcam/droidcam.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for droidcam
+
+#
+# Copyright 2021 Andreo F. Rissardo <andreotec@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=droidcam
+VERSION=${VERSION:-1.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+unzip $CWD/"$PRGNAM"_"$VERSION".zip -d $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+#Prepare folder to install
+mkdir -p $PKG/etc/modprobe.d
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/icons
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/opt
+
+touch $PKG/etc/modprobe.d/$PRGNAM.conf
+cp -r $TMP/$PRGNAM-$VERSION $PKG/opt/$PRGNAM-$VERSION
+cat $TMP/$PRGNAM-$VERSION/uninstall > $PKG/opt/$PRGNAM-uninstall
+cp -a $TMP/$PRGNAM-$VERSION/$PRGNAM $PKG/usr/bin/$PRGNAM
+cp -a $TMP/$PRGNAM-$VERSION/$PRGNAM-cli $PKG/usr/bin/$PRGNAM-cli
+cp -a $TMP/$PRGNAM-$VERSION/icon2.png $PKG/usr/share/icons/icon2.png
+cp -a $TMP/$PRGNAM-$VERSION/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+#Documentation
+cp -a $CWD/README* $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+#Script for run modules
+cp $CWD/rc.$PRGNAM.new /etc/rc.d/rc.$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/droidcam/droidcam.info b/multimedia/droidcam/droidcam.info
new file mode 100644
index 0000000000..d17288cb17
--- /dev/null
+++ b/multimedia/droidcam/droidcam.info
@@ -0,0 +1,10 @@
+PRGNAM="droidcam"
+VERSION="1.7.2"
+HOMEPAGE="https://www.dev47apps.com/"
+DOWNLOAD="https://files.dev47apps.net/linux/droidcam_1.7.2.zip"
+MD5SUM="fada5d691f7f358cd66182ae2214b25f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="speex android-tools"
+MAINTAINER="Andreo F. Rissardo"
+EMAIL="andreotec@gmail.com"
diff --git a/multimedia/droidcam/rc.droidcam.new b/multimedia/droidcam/rc.droidcam.new
new file mode 100644
index 0000000000..e6d244fece
--- /dev/null
+++ b/multimedia/droidcam/rc.droidcam.new
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+
+
+
+
+
+case $1 in
+start)
+ modprobe snd-aloop && modprobe v4l2loopback_dc
+
+
+;;
+
+stop)
+ rmmod -f snd-aloop && rmmod -f v4l2loopback_dc
+
+;;
+
+
+
+restart)
+
+ $0 stop
+
+
+ $0 start
+;;
+
+
+*)
+ echo 'Run only "/etc/rc.d/rc.droidcam start | stop| restart"'
+ ;;
+esac
diff --git a/multimedia/droidcam/slack-desc b/multimedia/droidcam/slack-desc
new file mode 100644
index 0000000000..fb7c41ae03
--- /dev/null
+++ b/multimedia/droidcam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+droidcam: droicam (Use your phone as a webcam!)
+droidcam:
+droidcam: DroidCam turns your phone/tablet into a webcam for your PC. Use it
+droidcam: with chat programs like Zoom, MS Teams, and Skype. The app works with
+droidcam: a PC Client component that installs the webcam drivers, and connects
+droidcam: the computer to your mobile.
+droidcam:
+droidcam:
+droidcam:
+droidcam: https://www.dev47apps.com/
+droidcam: